function searchTransactions() {
    // Get the search input value
    const input = document.getElementById("searchInput").value.toLowerCase();
    
    // Get the table and rows
    const table = document.getElementById("transactionTable");
    const rows = table.getElementsByTagName("tr");

    // Loop through the rows, starting from 1 (to skip the header)
    for (let i = 1; i < rows.length; i++) {
      const row = rows[i];
      const cells = row.getElementsByTagName("td");
      let isVisible = false;

      // Check if any cell contains the search term
      for (let j = 0; j < cells.length; j++) {
        const cell = cells[j];
        if (cell.textContent.toLowerCase().includes(input)) {
          isVisible = true;
          break;
        }
      }

      // Toggle the row's visibility
      row.style.display = isVisible ? "" : "none";
    }
  }

  function showAddTransactionModal() {
    const modal = document.getElementById('addTransactionModal');
    modal.style.display = 'block'; // Make the modal visible
  }

  function closeAddTransactionModal() {
    const modal = document.getElementById('addTransactionModal');
    modal.style.display = 'none'; // Hide the modal
  }

  window.onclick = function(event) {
    const modal = document.getElementById('addTransactionModal');
    if (event.target == modal) {
      modal.style.display = 'none';
    }
  };

  function searchCustomers() {
    const input = document.getElementById("customer_name").value;
    const dropdown = document.getElementById("customerDropdown");

    if (input.trim() === "") {
        dropdown.style.display = "none";
        dropdown.innerHTML = "";
        return;
    }

    fetch(`?search_customers=${encodeURIComponent(input)}`)
        .then((response) => response.json())
        .then((data) => {
            dropdown.style.display = "block";
            dropdown.innerHTML = data
                .map(
                    (customer) =>
                        `<li style="padding: 8px; cursor: pointer;" onclick="selectCustomer(${customer.id}, '${customer.name}')">${customer.name}</li>`
                )
                .join("");
        })
        .catch((error) => console.error("Error fetching customers:", error));
}

function selectCustomer(id, name) {
    document.getElementById("customer_id").value = id;
    document.getElementById("customer_name").value = name;
    document.getElementById("customerDropdown").style.display = "none";
}

