<?php
session_start();

include('database.php');
var_dump('params', $_GET["id"]);


$user_id = $_GET["id"];

if (!isset($_SESSION['user_id']) || !$user_id) {
    // If the user is not logged in, redirect to login page
    header("Location: login.php");
    exit();
}
$stmt = $conn->prepare("SELECT * FROM users WHERE id = ?");
$stmt->bind_param("i", $user_id); 
$stmt->execute();
$result = $stmt->get_result();

if ($result->num_rows > 0) {
    $user = $result->fetch_assoc();
    $first_name = $user['first_name'];
    $last_name = $user['last_name'];
    $email = $user['email'];
    $phone = $user['phone'];
    $account_type = $user['account_type'];
    $country = $user['country'];
    $address1 = $user['address1'];
    $address2 = $user['address2'];
    $zip_code = $user['zip_code'];
    $id_verification_status = $user['id_verification_status'];
    $bank_verification_status = $user['bank_verification_status'];
    $created_at = $user['created_at'];
} else {
    header("Location: login.php");
    exit();
}

$stmt->close();
$conn->close();
?>

<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <meta name="keywords" content="boot, Bootstrap, Forex and Stock Broker HTML Template" />
  <meta name="description" content="Forex and Stock Broker HTML Template" />
  <title>Admin - Customers</title>
  <link rel="shortcut icon" href="assets/images/fav.png" type="image/x-icon" />
  <link href="https://cdn.quilljs.com/1.3.6/quill.snow.css" rel="stylesheet" />
  <link rel="stylesheet" href="assets/css/style.min.css" />
  <style>
    .verification-select {
        background-color: #8957ff0d;
        border-radius: 6px; 
        border: 1px solid #ccc;
    }
  </style>
</head>

<body>
    <div class="preloader">
        <span class="loader"></span>
    </div>

    <button class="scrollToTop d-none d-md-flex d-center rounded" aria-label="scroll Bar Button">
        <i class="mat-icon fs-four nb4-color ti ti-arrow-up"></i>
    </button>

    <div class="two-column_logo d-none gap-3">
        <a href="dashboard.php">
        <img src="assets/images/text_logo.png" class="logo_light" alt="Logo " />
        <img src="assets/images/text_logo_dark.png" class="logo_dark" alt="Logo" />
        </a>
        <span class="material-symbols-outlined close_nav p-1 d-xl-none">
        close
        </span>
    </div>

    <div class="manu-wrapper">
        <header class="top-menu">
        <nav
            class="top-menu__content py-5 py-xxl-8 px-3 px-lg-4 px-xxl-6 d-flex align-items-center justify-content-between gap-6">
        </nav>
        </header>

        <div class="company-logo d-center justify-content-between gap-2">
        <a href="dashboard.php" class="logo_area">
            <span class="logo-xl">
            <img src="assets/images/logo_light.png" class="full_logo" alt="Logo" />
            <img src="assets/images/short_logo_light.png" class="short_logo" alt="Logo" />
            </span>
            <span class="logo-xl logo_dark">
            <img src="assets/images/logo_dark.png" class="full_logo" alt="Logo" />
            <img src="assets/images/short_logo_dark.png" class="short_logo" alt="Logo" />
            </span>
        </a>
        <span class="material-symbols-outlined close_nav p-1 d-xl-none">
            close
        </span>
        </div>

        <aside class="aside-wrapper">
        <div class="main-menu">
            <ul class="main-menu__part">
            <li class="main-menu__title fw-semibold">Admin Panel</li>
            <li class="nav_item">
                <a href="admin_customers.php" class="nav_link">
                <span class="material-symbols-outlined fs-four-up">
                    house
                </span>
                <span class="nav_text">Customers</span>
                </a>
                <a href="admin_customers_transactions.php" class="nav_link">
                <span class="material-symbols-outlined fs-four-up">
                    money
                </span>
                <span class="nav_text">Transactions</span>
                </a>
            </li>
            <ul class="main-menu__part">
            <li class="main-menu__title fw-semibold"></li>
            <li>
                <a href="logout.html" class="nav_link">
                <span class="material-symbols-outlined p1-color fs-four-up">
                    logout
                </span>
                <span href="log_out.html" class="nav_text">Log out</span>
                </a>
            </li>
            </ul>

            <ul class="main-menu__part logout_area mt-auto d-none">
            <li>
                <a href="logout.html"><span class="material-symbols-outlined p1-color">
                    logout
                </span></a>
            </li>
            </ul>

        </div>
        </aside>
    </div>

    <!-- main-body start -->
    <div class="main-content">
        <!-- <div class="container-fluid" id="editCustomerForm"> -->
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                <div class="top-area flex-wrap d-center justify-content-between gap-8 row-gap-3">
                    <h2>Edit Customer</h2>
                </div>
                </div>
            </div>
            <div class="row gy-5">
                <div class="col-xxl-6">
                    <div class="box_part_area n0-bg cus-rounded-1 p-4 p-md-7 p-xxl-10 cus-border h-100">
                        <div class="d-flex flex-wrap justify-content-between align-items-center gap-8 row-gap-3">
                            <h4>Account Settings</h4>
                        </div>
                        <form class="box_part__content" id="editCustomerAccountSettingForm">
                            <input type="hidden" name="user_id" value="<?php echo $user_id; ?>" />
                            <div class="personal-information-section d-flex flex-column gap-5 gap-lg-6 w-100 cus-border-dashed top border-color-30 pt-5 pt-xxl-6 mt-5 mt-xxl-6">
                                <div class="row gap-3 gap-sm-0">
                                    <div class="col-sm-6">
                                        <div class="single-input">
                                        <label for="fname" class="fs-six-up fw-medium mb-2 mb-sm-4">First Name</label>
                                        <input type="text" class="fs-seven py-3 py-4 px-6 px-lg-8" id="fname" name="first_name"
                                            value="<?php echo $first_name; ?>"  />
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="single-input">
                                        <label for="lname" class="fs-six-up fw-medium mb-2 mb-sm-4">Last Name</label>
                                        <input type="text" class="fs-seven py-3 py-4 px-6 px-lg-8" id="lname" name="last_name"
                                            value="<?php echo $last_name; ?>"  />
                                        </div>
                                    </div>
                                </div>
                                <div class="single-input">
                                    <label for="email" class="fs-six-up fw-medium mb-2 mb-sm-4">Mail</label>
                                    <input type="text" class="fs-seven py-3 py-4 px-6 px-lg-8" id="email" name="email" value="<?php echo $email; ?>"
                                        />
                                </div>
                                <div class="single-input">
                                    <label for="phone" class="fs-six-up fw-medium mb-2 mb-sm-4">Phone</label>
                                    <input type="text" class="fs-seven py-3 py-4 px-6 px-lg-8" id="phone" name="phone" value="<?php echo $phone; ?>" />
                                </div>
                            </div>

                            <div class="verification-section">
                                <h5 class="fs-six-up fw-medium mb-4 mt-6" style="font-size: 18px; font-weight: 600; color: #333;">
                                Verification Status</h5>
                                <div class="form-group" style="margin-bottom:15px;">
                                    <label for="email" class="fs-six-up fw-medium mb-2 mb-sm-4" style="font-size: 14px; color: #333;">ID Verification Status</label>
                                    <select class="py-4 px-6 px-lg-8 form-control verification-select"  style="width:100%; padding:10px; margin-top:5px; border-radius:5px; border:1px solid #ddd; background-color: #8957ff0d" name="id_verification_status">
                                        <option value="unverified" <?php if($user['id_verification_status'] == 'unverified'): ?> selected <?php endif; ?>>Unverified</option>
                                        <option value="pending" <?php if($user['id_verification_status'] == 'pending'): ?> selected <?php endif; ?>>Pending</option>
                                        <option value="verified" <?php if($user['id_verification_status'] == 'verified'): ?> selected <?php endif; ?>>Verified</option>
                                    </select>
                                </div>
                                <div class="row align-items-center mt-6">
                                    <div class="col-md-12">
                                        <!-- <label for="fileInput" class="form-label fw-bold">Upload a new photo</label>
                                        <input class="form-control" type="file" id="fileInput" accept="image/*"> -->
                                        <div class="single-input" style="margin-bottom: 20px;">
                                            <label for="id-front" class="fs-six-up fw-medium mb-2 mb-sm-4" style="font-size: 14px; color: #333;">Upload Front Side of ID</label>
                                            <input type="file" class="fs-seven py-3 px-5" id="id-front" accept="image/*" style="padding: 12px; font-size: 14px; border-radius: 6px; border: 1px solid #ccc;" />
                                        </div>
                                    </div>
                                    <div class="col-md-12 text-center">
                                        <?php if($user['front_id']): ?>
                                            <img id="frontIdImage" src='' class="img-fluid rounded shadow w-100" style="max-width: 200px;" alt="Front Id">
                                        <?php else: ?>
                                            No Front ID Uploaded
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="row align-items-center mt-6">
                                    <div class="col-md-12">
                                        <div class="single-input" style="margin-bottom: 20px;">
                                            <label for="id-back" class="fs-six-up fw-medium mb-2 mb-sm-4" style="font-size: 14px; color: #333;">Upload Back Side of ID</label>
                                            <input type="file" class="fs-seven py-3 px-5" id="id-back" accept="image/*" style="padding: 12px; font-size: 14px; border-radius: 6px; border: 1px solid #ccc;" />
                                        </div>
                                    </div>
                                    <div class="col-md-12 text-center">
                                        <?php if($user['back_id']): ?>
                                            <img id="backIdImage" src="<?php echo 'https://helpdeskmail.com/uploads/'.$user['back_id']  ?>" class="w-100 img-fluid rounded shadow" style="max-width: 200px;" alt="Back Id">
                                        <?php else: ?>
                                            No Back ID Uploaded
                                        <?php endif; ?>
                                    </div>
                                </div>
                                
                                
                                <!-- Upload Button -->
                                <button type="button" class="btn_box py-2 py-lg-3 px-5 px-lg-6 cus-rounded-1 cus-border border-color mt-3" id="btnUploadIdAdmin">
                                    Upload ID
                                </button>
                                <!-- Bank Statement Upload Section -->
                                <div class="form-group" style="margin-bottom:15px; margin-top: 15px;">
                                    <label for="email" class="fs-six-up fw-medium mb-2 mb-sm-4" style="font-size: 14px; color: #333;">Bank Verification Status</label>
                                    <select class="py-4 px-6 px-lg-8 form-control verification-select"  style="width:100%; padding:10px; margin-top:5px; border-radius:5px; border:1px solid #ddd; background-color: #8957ff0d" name="bank_verification_status">
                                        <option value="unverified" <?php if($user['bank_verification_status'] == 'unverified'): ?> selected <?php endif; ?>>Unverified</option>
                                        <option value="pending" <?php if($user['bank_verification_status'] == 'pending'): ?> selected <?php endif; ?>>Pending</option>
                                        <option value="verified" <?php if($user['bank_verification_status'] == 'verified'): ?> selected <?php endif; ?>>Verified</option>
                                    </select>
                                </div>
                                <div class="single-input" style="margin-bottom: 20px;">
                                    <label for="bank-statement" class="fs-six-up fw-medium mb-2 mb-sm-4"
                                        style="font-size: 14px; color: #333;">Upload Bank Statement</label>
                                    <input type="file" class="fs-seven py-3 px-5" id="bank-statement" accept=".pdf, image/*"
                                        style="padding: 12px; font-size: 14px; border-radius: 6px; border: 1px solid #ccc;" />
                                </div>
                                <!-- Upload Button -->
                                <button type="button" class="btn_box py-2 py-lg-3 px-5 px-lg-6 cus-rounded-1 cus-border border-color mt-3" id="btnUploadBankStatement">
                                Upload Bank Statement
                                </button>
                            </div>

                            <div class="d-flex justify-content-start gap-3 mt-6">
                                <button type="reset" class="btn_box btn_alt py-2 py-lg-3 px-5 px-lg-6 cus-rounded-1 cus-border border-color">Cancel</button>
                                <button type="submit"
                                    class="btn_box py-2 py-lg-3 px-5 px-lg-6 cus-rounded-1 cus-border border-color">
                                    Save Change
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="col-xxl-6">
                    <div class="row gy-5 gy-xxl-6">
                        <div class="col-12">
                            <div class="box_part_area n0-bg cus-rounded-1 p-4 p-md-7 p-xxl-10 cus-border">
                                <div class="d-flex flex-wrap justify-content-between align-items-center gap-8 row-gap-3">
                                    <h4>Address</h4>
                                </div>
                                <form class="box_part__content" id="editCustomerAddressForm">
                                    <input type="hidden" name="user_id" value="<?php echo $user_id; ?>" />
                                    <div class="d-flex flex-column gap-5 gap-lg-6 w-100 cus-border-dashed top border-color-30 pt-5 pt-xxl-6 mt-5 mt-xxl-6" id="addressForm"> 
                                        <div class="single-input">
                                            <label class="fs-six-up fw-medium mb-2 mb-sm-4">Location</label>
                                            <!-- Changed to a text input so the user can type freely -->
                                            <input type="text" class="fs-seven py-3 px-5 px-lg-6" name="country"
                                            value="<?php echo htmlspecialchars($country); ?>" required/>
                                        </div>

                                        <div class="row gap-3 gap-sm-0">
                                            <div class="col-sm-6">
                                                <div class="single-input">
                                                    <label for="address1" class="fs-six-up fw-medium mb-2 mb-sm-4">Address 1</label>
                                                    <input type="text" name="address1" class="fs-seven py-3 px-5 px-lg-6" id="address1"
                                                    value="<?php echo htmlspecialchars($address1); ?>" required/>
                                                </div>
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="single-input">
                                                    <label for="address2" class="fs-six-up fw-medium mb-2 mb-sm-4">Address 2</label>
                                                    <span class="n100-color">(Optional)</span></label>
                                                    <input type="text" class="fs-seven py-3 px-5 px-lg-6" id="address2" name="address2"
                                                    value="<?php echo htmlspecialchars($address2); ?>" />
                                                </div>
                                            </div>
                                        </div>

                                        <div class="single-input">
                                            <label for="zip" class="fs-six-up fw-medium mb-2 mb-sm-4">Zip Code</label>
                                            <input type="text" class="fs-seven py-3 px-5 px-lg-6" id="zip" name="zip"
                                            value="<?php echo htmlspecialchars($zip_code); ?>" required />
                                        </div>
                                    </div>
                                    <div class="d-flex justify-content-start gap-3 mt-6">
                                        <button type="reset" class="btn_box btn_alt py-2 py-lg-3 px-5 px-lg-6 cus-rounded-1 cus-border border-color">Cancel</button>
                                        <button type="submit"
                                            class="btn_box py-2 py-lg-3 px-5 px-lg-6 cus-rounded-1 cus-border border-color">
                                            Save Change
                                        </button>
                                    </div>
                                </form>
                            </div>
                        </div>
                        <div class="col-12">
                            <div class="n0-bg cus-rounded-1 p-4 p-lg-6 cus-border h-100">
                                <div
                                class="header-part d-flex flex-wrap justify-content-between align-items-center gap-8 row-gap-3 pb-5 pb-xxl-6 mb-5 mb-xxl-6">
                                <h4 class="fw-semibold">Change Password</h4>
                                </div>
                                <form id="editCustomerPasswordForm" class="d-flex flex-column gap-5 gap-lg-6">
                                    <input type="hidden" name="user_id" value="<?php echo $user_id; ?>" />
                                    <div class="row g-5 g-lg-6">
                                        <div class="col-sm-12">
                                            <div class="single-input">
                                                <label class="fs-six-up fw-medium mb-2 mb-sm-4" for="npassword">New Password</label>
                                                <div class="input-pass">
                                                <input type="password" class="fs-seven py-2 py-sm-3 ps-3 ps-sm-5 ps-lg-6 pe-10 pe-lg-13"
                                                    id="npassword" name="new_password" placeholder="New Password" required />
                                                <span class="password-eye-icon"></span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="d-flex gap-5 gap-lg-6 pt-4">
                                        <button type="submit"
                                        class="btn_box py-2 py-lg-3 px-5 px-lg-6 cus-rounded-1 cus-border border-color">Save Password</button>
                                        <button type="button"
                                        class="btn_box py-2 py-lg-3 px-5 px-lg-6 cus-rounded-1 cus-border border-color" id="btnSendResetPasswordLink">Send Reset Link</button>
                                    </div>
                                </form>
                            </div>
                            </div>
                        <div class="col-12">
                            <div class="box_part_area n0-bg cus-rounded-1 p-4 p-md-7 p-xxl-10 cus-border">
                                <div class="d-flex flex-wrap justify-content-between align-items-center gap-8 row-gap-3">
                                    <h4>Balance</h4>
                                </div>
                                <form class="box_part__content" id="editCustomerBalanceForm">
                                    <input type="hidden" name="user_id" value="<?php echo $user_id; ?>" />
                                    <div class="d-flex flex-column gap-5 gap-lg-6 w-100 cus-border-dashed top border-color-30 pt-5 pt-xxl-6 mt-5 mt-xxl-6" id="addressForm">
                                        <div class="row gap-3 gap-sm-0">
                                            <div class="col-sm-6">
                                                <div class="single-input mb-6">
                                                <label for="btc_balance" class="fs-six-up fw-medium mb-2 mb-sm-4">BTC</label>
                                                <input type="text" name="btc_balance" class="fs-seven py-3 px-5 px-lg-6" id="btc_balance"
                                                    value="<?php echo number_format($user['btc_balance'], 8); ?>" required/>
                                                </div>
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="single-input mb-6">
                                                <label for="eth_balance" class="fs-six-up fw-medium mb-2 mb-sm-4">ETH</label>
                                                <input type="text" class="fs-seven py-3 px-5 px-lg-6" id="eth_balance" name="eth_balance"
                                                    value="<?php echo number_format($user['eth_balance'], 8); ?>" />
                                                </div>
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="single-input mb-6">
                                                <label for="trx_balanace" class="fs-six-up fw-medium mb-2 mb-sm-4">TRX</label>
                                                <input type="text" class="fs-seven py-3 px-5 px-lg-6" id="trx_balanace" name="trx_balanace"
                                                    value="<?php echo number_format($user['trx_balance'], 8); ?>" />
                                                </div>
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="single-input mb-6">
                                                    <label for="address2" class="fs-six-up fw-medium mb-2 mb-sm-4">USDT</label>
                                                    <input type="text" class="fs-seven py-3 px-5 px-lg-6" id="usdt_balance" name="usdt_balance"
                                                    value="<?php echo number_format($user['usdt_balance'], 8); ?>" />
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="d-flex justify-content-start gap-3">
                                        <button type="reset" class="btn_box btn_alt py-2 py-lg-3 px-5 px-lg-6 cus-rounded-1 cus-border border-color">Cancel</button>
                                        <button type="submit"
                                            class="btn_box py-2 py-lg-3 px-5 px-lg-6 cus-rounded-1 cus-border border-color">
                                            Save Change
                                        </button>
                                    </div>
                                </form>
                            </div>
                        </div>
                        <div class="col-12">
                            <div class="box_part_area n0-bg cus-rounded-1 p-4 p-md-7 p-xxl-10 cus-border">
                                <div class="d-flex flex-wrap justify-content-between align-items-center gap-8 row-gap-3">
                                    <h4>Delete account</h4>
                                </div>
                                <form class="box_part__content" id="editCustomerDeleteForm">
                                    <input type="hidden" name="user_id" value="<?php echo $user_id; ?>" />
                                    <div
                                        class="d-flex flex-column gap-5 gap-lg-6 w-100 cus-border-dashed top border-color-30 pt-5 pt-xxl-6 mt-5 mt-xxl-6">
                                        <div class="d-flex gap-5 gap-lg-6 pt-4">
                                        <button type="submit"
                                            class="btn_box btn_alt py-2 py-lg-3 px-5 px-lg-6 cus-rounded-1 cus-border border-color">
                                            Delete
                                        </button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                
            </div>
        </div>
    </div>
    <!-- main end -->

  <!-- Modal -->
  <div class="modal calendar-modal fade" id="connect" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content n0-bg p-4 p-md-6 p-xxl-8">
        <div class="modal-header header-part mb-5 mb-lg-6 pb-5 pb-lg-6">
          <h4 class="modal-title">Connect your wallet</h4>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body d-flex flex-column gap-3">
          <a href="#"
            class="d-center justify-content-between gap-4 gap-lg-6 px-5 px-lg-6 py-3 py-lg-4 cus-border cus-rounded-1">
            <div class="d-flex align-items-center gap-4">
              <img src="assets/images/meta_mask.png" alt="icon" />
              <span class="fs-six-up fw-medium">MetaMask</span>
            </div>
            <span
              class="p1-bg n0-fixed lh_130 fw-semibold cus-rounded-1 cus-border border-color py-2 py-lg-3 px-4 px-lg-5 px-xxl-6">
              Solana</span>
          </a>

          <a href="#"
            class="d-center justify-content-between gap-4 gap-lg-6 px-5 px-lg-6 py-3 py-lg-4 cus-border cus-rounded-1">
            <div class="d-flex align-items-center gap-4">
              <img src="assets/images/coinbase.png" alt="icon" />
              <span class="fs-six-up fw-medium">Coinbase Wallet</span>
            </div>
          </a>
          <a href="#"
            class="d-center justify-content-between gap-4 gap-lg-6 px-5 px-lg-6 py-3 py-lg-4 cus-border cus-rounded-1">
            <div class="d-flex align-items-center gap-4">
              <img src="assets/images/cardano.png" alt="icon" />
              <span class="fs-six-up fw-medium">WalletConnect</span>
            </div>
          </a>
          <a href="#"
            class="d-center justify-content-between gap-4 gap-lg-6 px-5 px-lg-6 py-3 py-lg-4 cus-border cus-rounded-1">
            <div class="d-flex align-items-center gap-4">
              <img src="assets/images/phantom.png" alt="icon" />
              <span class="fs-six-up fw-medium">Phantom</span>
            </div>
            <span
              class="p1-color lh_130 fw-semibold cus-rounded-1 cus-border border-color py-2 py-lg-3 px-4 px-lg-5 px-xxl-6">
              Solana</span>
          </a>
          <a href="#"
            class="d-center justify-content-between gap-4 gap-lg-6 px-5 px-lg-6 py-3 py-lg-4 cus-border cus-rounded-1">
            <div class="d-flex align-items-center gap-4">
              <img src="assets/images/core.png" alt="icon" />
              <span class="fs-six-up fw-medium">Avalanche</span>
            </div>
            <span
              class="p1-color lh_130 fw-semibold cus-rounded-1 cus-border border-color py-2 py-lg-3 px-4 px-lg-5 px-xxl-6">
              Avalanche</span>
          </a>
          <a href="#"
            class="d-center justify-content-between gap-4 gap-lg-6 px-5 px-lg-6 py-3 py-lg-4 cus-border cus-rounded-1">
            <div class="d-flex align-items-center gap-4">
              <img src="assets/images/glow.png" alt="icon" />
              <span class="fs-six-up fw-medium">Glow</span>
            </div>
            <span
              class="p1-color lh_130 fw-semibold cus-rounded-1 cus-border border-color py-2 py-lg-3 px-4 px-lg-5 px-xxl-6">
              Solana</span>
          </a>
        </div>
      </div>
    </div>
  </div>

  <!-- Modal -->

  <!-- Footer Area Start -->
  <footer class="footer">
    <div class="col-12">
      <div class="footer__copyright justify-content-center justify-content-md-between row-gap-2">
        <p class="copyright text-center">
          Copyright © <span id="copyYear"></span>
          <a href="#" class="p1-color">FinVista</a>. All Rights Reserved
        </p>
        <ul class="footer__copyright-conditions">
          <li><a href="contact.html">Privacy policy</a></li>
          <li><a href="contact.html">Terms & Conditions</a></li>
        </ul>
      </div>
    </div>
  </footer>
  <!-- Footer Area End -->

  <!-- ==== js dependencies start ==== -->
  <script src="assets/js/plugins/plugins.js"></script>
  <script src="assets/js/plugins/apexcharts.min.js"></script>
  <script src="https://cdn.quilljs.com/1.3.6/quill.js"></script>
  <script src="assets/js/plugins/custom_apexcharts.js"></script>
  <script src="assets/js/plugins/plugin-custom.js"></script>
  <script src="assets/js/main.js"></script>
  <script>
    var base_url = <?php echo $base_url ?>;
    var front_id = <?php echo json_encode($user['front_id']); ?>;
    var back_id = <?php echo json_encode($user['back_id']); ?>;
    var user_email = <?php echo json_encode($email); ?>;

    $('#frontIdImage').attr('src', base_url + 'uploads/' + front_id);
    $('#backIdImage').attr('src', base_url + 'uploads/' + back_id);


    $('#btnUploadIdAdmin').on('click', function() {
        var file_data_front = $('#id-front').prop('files')[0];
        var file_data_back = $('#id-back').prop('files')[0];
        console.log('ja_file_front', file_data_front);
        console.log('ja_file_back', file_data_back);

        if(file_data_front || file_data_back) {
            var form_data = new FormData();                  
            form_data.append('front', file_data_front);
            form_data.append('back', file_data_back);
            form_data.append('user_id', $('#user_id').val());
            $.ajax({
                url: 'uploadId.php',
                dataType: 'text',
                cache: false,
                contentType: false,
                processData: false,
                data: form_data,                         
                type: 'post',
                success: function(){
                    alert('Uploaded successfully!');
                    location.reload();
                }
            });
        }
        else {
            alert('Please check if photos are choosen.');
        }
    });

    $("#editCustomerForm").submit(function(e) {
        e.preventDefault();
        $.ajax({
            type: 'POST',
            url: 'post.php',
            data: {
                action: 'save_customer',
                data: $('#editCustomerForm').serialize(),
            },
            success: function () {
                alert('Saved successfully!');
                location.reload();
            }
        });
    });

    $("#editCustomerAccountSettingForm").submit(function(e) {
        e.preventDefault();
        $.ajax({
            type: 'POST',
            url: 'post.php',
            data: {
                action: 'save_customer_account_settings',
                data: $('#editCustomerAccountSettingForm').serialize(),
            },
            success: function () {
                alert('Saved successfully!');
                location.reload();
            }
        });
    });

    $("#editCustomerAddressForm").submit(function(e) {
        e.preventDefault();
        $.ajax({
            type: 'POST',
            url: 'post.php',
            data: {
                action: 'save_customer_address',
                data: $('#editCustomerAddressForm').serialize(),
            },
            success: function () {
                alert('Saved successfully!');
                location.reload();
            }
        });
    });

    $("#editCustomerDeleteForm").submit(function(e) {
        e.preventDefault();
        $.ajax({
            type: 'POST',
            url: 'post.php',
            data: {
                action: 'save_customer_delete',
                data: $('#editCustomerDeleteForm').serialize(),
            },
            success: function () {
                alert('Deleted successfully!');
                location.href = 'admin_customers.php';
                // location.reload();
            }
        });
    });

    

    $("#editCustomerBalanceForm").submit(function(e) {
        e.preventDefault();
        $.ajax({
            type: 'POST',
            url: 'post.php',
            data: {
                action: 'save_customer_balance',
                data: $('#editCustomerBalanceForm').serialize(),
            },
            success: function () {
                alert('Saved successfully!');
                location.reload();
            }
        });
    });

    $("#editCustomerPasswordForm").submit(function(e) {
        e.preventDefault();
        $.ajax({
            type: 'POST',
            url: 'post.php',
            data: {
                action: 'save_customer_password',
                data: $('#editCustomerPasswordForm').serialize(),
            },
            success: function () {
                alert('Saved successfully!');
                location.reload();
            }
        });
    });

    $("#btnSendResetPasswordLink").on('click', function() {
        $.ajax({
            type: 'POST',
            url: 'post.php',
            data: {
                action: 'send_reset_password_link',
                data: {
                    email: user_email
                }
            },
            success: function () {
                alert('Reset password link sent successfully!');
            }
        });
    });


    



  </script>
</body>

</html>